(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10127,        233]
NotebookOptionsPosition[      9675,        214]
NotebookOutlinePosition[     10140,        232]
CellTagsIndexPosition[     10097,        229]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SeedRandom", "[", "1234", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"data", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"t", ",", 
             RowBox[{"x0", "+", 
              RowBox[{"v", "*", "t"}], "+", 
              RowBox[{"RandomReal", "[", 
               RowBox[{"i", "*", "v", "*", 
                RowBox[{"t", "/", "100"}], 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "]"}]}]}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "tmin", ",", "tmax"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"TableForm", "[", "data", "]"}]}], ",", 
       RowBox[{"Show", "[", 
        RowBox[{
         RowBox[{"ListPlot", "[", "data", "]"}], ",", 
         RowBox[{"Plot", "[", 
          RowBox[{
           RowBox[{"Evaluate", "[", 
            RowBox[{"eq", "=", 
             RowBox[{"Fit", "[", 
              RowBox[{"data", ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "t"}], "}"}], ",", "t"}], "]"}]}], "]"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{"t", ",", "tmin", ",", "tmax"}], "}"}]}], "]"}]}], "]"}], 
       ",", "eq"}], "}"}], "]"}]}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x0", ",", "5", ",", "\"\<position initiale\>\""}], "}"}], ",", 
     
     RowBox[{"-", "10"}], ",", "10", ",", ".5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", "5", ",", "\"\<pente\>\""}], "}"}], ",", 
     RowBox[{"-", "10"}], ",", "10", ",", ".5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "tmin", ",", "0", ",", "\"\<\!\(\*SubscriptBox[\(t\), \(min\)]\)\>\""}],
       "}"}], ",", "0", ",", "10", ",", ".5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "tmax", ",", "11", ",", 
       "\"\<\!\(\*SubscriptBox[\(t\), \(max\)]\)\>\""}], "}"}], ",", "1", ",",
      "20", ",", ".5", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", "5", ",", "\"\<incertitude\>\""}], "}"}], ",", "0", 
     ",", "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.4369748456745663`*^9, 3.436974852217177*^9}, {
   3.436974903974285*^9, 3.436975108938312*^9}, 3.4369751719639273`*^9, {
   3.436975284703524*^9, 3.436975309181319*^9}, {3.436975343056595*^9, 
   3.436975501438342*^9}, {3.436975547870537*^9, 3.436975565105794*^9}, {
   3.436975638568355*^9, 3.436975672455933*^9}, {3.4369757266800222`*^9, 
   3.4369757375039577`*^9}, {3.436975769639374*^9, 3.4369757791604347`*^9}, {
   3.4369758109462557`*^9, 3.436975876766281*^9}, {3.4369759595300503`*^9, 
   3.43697596554246*^9}, {3.436976004052126*^9, 3.436976154265101*^9}, {
   3.436976206505817*^9, 3.4369762367535963`*^9}, {3.436976286909059*^9, 
   3.436976437749275*^9}, {3.436976485218948*^9, 3.436976552802197*^9}, {
   3.4369766970435467`*^9, 3.43697685834095*^9}, 3.436976906100078*^9, {
   3.4369769450905848`*^9, 3.436976947406455*^9}, {3.4369772625516663`*^9, 
   3.436977314257268*^9}, {3.436977381023622*^9, 3.436977417508931*^9}, {
   3.4369774521943007`*^9, 3.436977588474214*^9}, {3.436977832160729*^9, 
   3.436977888642199*^9}, {3.436977980816258*^9, 3.436978045776108*^9}, {
   3.4369780898629*^9, 3.4369781781502934`*^9}, 3.436978271364563*^9, {
   3.436978595987471*^9, 3.4369786579469*^9}, {3.436978717164773*^9, 
   3.436978738285733*^9}, {3.43697921600758*^9, 3.436979220051835*^9}, {
   3.436979632753034*^9, 3.43697966500394*^9}, {3.4370395632085238`*^9, 
   3.437039582423561*^9}, {3.437039709558625*^9, 3.437039797674498*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i$$ = 5, $CellContext`tmax$$ = 
    12.5, $CellContext`tmin$$ = 3.5, $CellContext`v$$ = 
    5., $CellContext`x0$$ = 4., Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`x0$$], 5, "position initiale"}, -10, 10, 0.5}, {{
       Hold[$CellContext`v$$], 5, "pente"}, -10, 10, 0.5}, {{
       Hold[$CellContext`tmin$$], 0, "\!\(\*SubscriptBox[\(t\), \(min\)]\)"}, 
      0, 10, 0.5}, {{
       Hold[$CellContext`tmax$$], 11, "\!\(\*SubscriptBox[\(t\), \(max\)]\)"},
       1, 20, 0.5}, {{
       Hold[$CellContext`i$$], 5, "incertitude"}, 0, 100, 1}}, 
    Typeset`size$$ = {270., {216.03125, 223.96875}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`x0$16915$$ = 0, $CellContext`v$16916$$ = 
    0, $CellContext`tmin$16917$$ = 0, $CellContext`tmax$16918$$ = 
    0, $CellContext`i$16919$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`i$$ = 5, $CellContext`tmax$$ = 
        11, $CellContext`tmin$$ = 0, $CellContext`v$$ = 5, $CellContext`x0$$ = 
        5}, "ControllerVariables" :> {
        Hold[$CellContext`x0$$, $CellContext`x0$16915$$, 0], 
        Hold[$CellContext`v$$, $CellContext`v$16916$$, 0], 
        Hold[$CellContext`tmin$$, $CellContext`tmin$16917$$, 0], 
        Hold[$CellContext`tmax$$, $CellContext`tmax$16918$$, 0], 
        Hold[$CellContext`i$$, $CellContext`i$16919$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> (SeedRandom[1234]; 
       Column[{$CellContext`data = 
           Table[{$CellContext`t, $CellContext`x0$$ + $CellContext`v$$ \
$CellContext`t + RandomReal[$CellContext`i$$ $CellContext`v$$ ($CellContext`t/
                 100) {-1, 
                 1}]}, {$CellContext`t, $CellContext`tmin$$, \
$CellContext`tmax$$}]; TableForm[$CellContext`data], 
          Show[
           ListPlot[$CellContext`data], 
           Plot[
            
            Evaluate[$CellContext`eq = 
             Fit[$CellContext`data, {
               1, $CellContext`t}, $CellContext`t]], {$CellContext`t, \
$CellContext`tmin$$, $CellContext`tmax$$}]], $CellContext`eq}]), 
      "Specifications" :> {{{$CellContext`x0$$, 5, "position initiale"}, -10, 
         10, 0.5, Appearance -> 
         "Labeled"}, {{$CellContext`v$$, 5, "pente"}, -10, 10, 0.5, 
         Appearance -> 
         "Labeled"}, {{$CellContext`tmin$$, 0, 
          "\!\(\*SubscriptBox[\(t\), \(min\)]\)"}, 0, 10, 0.5, Appearance -> 
         "Labeled"}, {{$CellContext`tmax$$, 11, 
          "\!\(\*SubscriptBox[\(t\), \(max\)]\)"}, 1, 20, 0.5, Appearance -> 
         "Labeled"}, {{$CellContext`i$$, 5, "incertitude"}, 0, 100, 1, 
         Appearance -> "Labeled"}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{545., {362.03125, 369.96875}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.43697507323575*^9, 3.436975111901862*^9, 3.436975418122707*^9, {
   3.436975473932098*^9, 3.436975503376679*^9}, 3.436975566034713*^9, 
   3.436975642998316*^9, 3.436975674664626*^9, 3.43697574040246*^9, 
   3.43697578132698*^9, {3.436975826916704*^9, 3.436975848179373*^9}, 
   3.436975880044711*^9, {3.436976145925475*^9, 3.436976155866311*^9}, {
   3.436976213900791*^9, 3.436976238303129*^9}, 3.43697631291488*^9, {
   3.436976391399405*^9, 3.436976440000778*^9}, 3.436976593564352*^9, 
   3.436976644823625*^9, 3.4369767040227757`*^9, {3.4369767404011583`*^9, 
   3.436976859486822*^9}, 3.4369769086153*^9, 3.436976948091963*^9, {
   3.436977289855133*^9, 3.436977316126321*^9}, {3.436977397395151*^9, 
   3.436977419402631*^9}, {3.4369775432860203`*^9, 3.436977589515751*^9}, 
   3.436977839347582*^9, 3.436977889768236*^9, 3.436977997000722*^9, 
   3.4369780471556063`*^9, 3.4369781802642307`*^9, 3.436978661255591*^9, 
   3.436978741420168*^9, 3.436979222521893*^9, 3.436979672121264*^9, 
   3.437039583557023*^9, 3.437039731472723*^9, {3.437039761574325*^9, 
   3.437039799204158*^9}}]
}, Open  ]]
},
WindowSize->{685, 763},
WindowMargins->{{-4, Automatic}, {-66, Automatic}},
ShowSelection->True,
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Mac OS X PowerPC (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 4388, 100, 502, "Input"],
Cell[4958, 124, 4701, 87, 756, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
